Skip to main content
GET
/
api
/
v1
/
school
/
sessions
/
{session_pk}
/
exam-sessions
/
{exam_session_pk}
/
report-cards
/
reports-progress
Get reports progress for all classes
curl --request GET \
  --url https://api.example.com/api/v1/school/sessions/{session_pk}/exam-sessions/{exam_session_pk}/report-cards/reports-progress/ \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "exam_session": {
    "id": "uuid-here",
    "name": "End of Term 1",
    "term": "1"
  },
  "o_level": [
    {
      "class": {
        "id": "class-uuid",
        "name": "Form 1A",
        "form": "Form 1",
        "form_level": "O Level"
      },
      "progress": {
        "with_head_comments": 25,
        "with_teacher_comments": 30,
        "with_class_ranks": 28,
        "with_stream_ranks": 20,
        "total_students": 35,
        "total_report_cards": 32
      }
    }
  ],
  "a_level": [
    {
      "class": {
        "id": "class-uuid",
        "name": "Form 5 Science",
        "form": "Form 5",
        "form_level": "A Level"
      },
      "progress": {
        "with_head_comments": 18,
        "with_teacher_comments": 20,
        "with_class_ranks": 20,
        "with_stream_ranks": 15,
        "total_students": 22,
        "total_report_cards": 20
      }
    }
  ],
  "summary": {
    "total_classes": 2,
    "o_level_classes": 1,
    "a_level_classes": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

exam_session_pk
string<uuid>
required

Exam Session ID

id
string<uuid>
required

Report card UUID

session_pk
string<uuid>
required

Academic session UUID

Response

{key}
any